{
  "name": "e-chauffeur_api",
  "private": true,
  "type": "module",
  "scripts": {
    "test": "mocha --exit --es-module-specifier-resolution=node --recursive \"tests/**/*.mjs\"",
    "start": "npm run serve",
    "serve": "node --experimental-modules --es-module-specifier-resolution=node server.mjs",
    "dev": "nodemon --experimental-modules --es-module-specifier-resolution=node --inspect server.mjs | pino-pretty",
    "lint": "eslint --ext .js,.mjs --ignore-path .gitignore .",
    "generate-vapid": "node generate-vapid-key.js",
    "precommit": "npm run lint",
    "generate-state-schema": "node --experimental-modules --es-module-specifier-resolution=node tests/generate-state-schema.js",
    "import-fixtures": "node --experimental-modules --es-module-specifier-resolution=node fixtures",
    "mongoose:sync-indexes": "node --experimental-modules --es-module-specifier-resolution=node sync-indexes.mjs",
    "cron:recurrency": "node --experimental-modules --es-module-specifier-resolution=node crons/recurrency/index.js",
    "cron:generate-jwt-secret": "node --experimental-modules --es-module-specifier-resolution=node crons/generate-jwt-secret.js",
    "docs:build:jsdoc": "jsdoc --configure .jsdoc.json",
    "docs:build:swagger": "npm run docs:copy-swagger-ui && swagger-jsdoc-generator .jsdoc-swagger.json -o public/swagger/echauffeur.json",
    "docs:copy-swagger-ui": "mkdir -p public/swagger && cp -rp node_modules/swagger-ui-dist/* public/swagger && replace 'https://petstore.swagger.io/v2/swagger.json' 'echauffeur.json' public/swagger/index.html",
    "docs:build": "npm run docs:build:jsdoc && npm run docs:build:swagger"
  },
  "author": "Gaël",
  "license": "ISC",
  "dependencies": {
    "@koa/cors": "^3.0.0",
    "@koa/router": "^10.0.0",
    "bcrypt": "^5.0.0",
    "csvtojson": "^2.0.10",
    "glob": "^7.1.6",
    "google-libphonenumber": "^3.2.14",
    "handlebars": "^4.7.3",
    "ioredis": "^4.26.0",
    "javascript-state-machine": "^3.1.0",
    "joi": "^17.4.0",
    "json-mask": "^1.0.2",
    "json2csv": "^4.5.4",
    "jsonwebtoken": "^8.5.1",
    "koa": "^2.10.0",
    "koa-body": "^4.1.1",
    "koa-helmet": "^6.1.0",
    "koa-jwt": "^4.0.1",
    "koa-locales": "^1.12.0",
    "koa-pino-logger": "^3.0.0",
    "koa-qs": "^3.0.0",
    "lodash.camelcase": "^4.3.0",
    "lodash.chunk": "^4.2.0",
    "lodash.differencewith": "^4.5.0",
    "lodash.get": "^4.4.2",
    "lodash.isempty": "^4.4.0",
    "lodash.isequal": "^4.5.0",
    "lodash.isfunction": "^3.0.9",
    "lodash.isplainobject": "^4.0.6",
    "lodash.mapkeys": "^4.6.0",
    "lodash.mapvalues": "^4.6.0",
    "lodash.omit": "^4.5.0",
    "lodash.omitby": "^4.6.0",
    "lodash.orderby": "^4.6.0",
    "lodash.pickby": "^4.6.0",
    "lodash.set": "^4.3.2",
    "lodash.transform": "^4.6.0",
    "lodash.xor": "^4.5.0",
    "luxon": "^1.25.0",
    "mongoose": "^5.10.11",
    "nanoid": "^3.1.22",
    "nconf": "^0.11.2",
    "nodemailer": "^6.4.14",
    "pino": "^6.7.0",
    "prom-client": "^13.1.0",
    "qs": "^6.9.4",
    "socket.io": "^4.0.1",
    "socket.io-redis": "^6.1.0",
    "sprintf-lite": "^1.3.0",
    "timezone-validator": "^1.0.3",
    "twilio": "^3.60.0",
    "validator": "^13.5.2",
    "web-push": "^3.4.4"
  },
  "devDependencies": {
    "@std/esm": "^0.26.0",
    "acorn": "^8.1.1",
    "babel-eslint": "^10.0.3",
    "chai": "^4.2.0",
    "eslint": "^7.24.0",
    "eslint-config-airbnb-base": "^14.0.0",
    "eslint-plugin-import": "^2.22.1",
    "jsdoc": "^3.6.6",
    "minami": "^1.2.3",
    "mocha": "^8.3.2",
    "nodemon": "^2.0.6",
    "pino-pretty": "^4.3.0",
    "replace": "^1.2.0",
    "supertest": "^6.1.3",
    "swagger-jsdoc": "^7.0.0-rc.6",
    "swagger-jsdoc-generator": "^1.0.3",
    "swagger-ui-dist": "^3.36.0"
  },
  "peerDependencies": {
    "chai": "4.x"
  },
  "version": "1.5.14"
}
